#!/usr/local/bin/perl

# Grab an ACLNT_TRACE 8 of doing something.  Then filter the output with this.

$start = 0;

while (<STDIN>) {
    if (/opaque ARGS\[20\] = \[20\] \{/) {
	$start = 1;
	print "{ ";
    } elsif ($start == 1 && /\};/) {
	$start = 0;
	print " },\n";
    } elsif ($start) {
	s/ ([0-9a-f][0-9a-f])/ 0x$1/gi;
	print;
    }
}

print "\n";
